XISUITEDokumentation

Space Templates

7 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List space templates#

GET/space-templatesToken

Parameter

NameOrtTypBeschreibung
organizationIdPflichtQuerystring–

Antworten

  • 200List of space templates
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/space-templates" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a space template#

POST/space-templatesToken

Parameter

NameOrtTypBeschreibung
organizationIdQuerystring–

Request-Bodyapplication/jsonCreateSpaceTemplateDto

NameTypBeschreibung
namePflichtstring

Template display name

Beispiel: Risk Workspace

descriptionstring

Short description of the template

iconstring

Icon identifier

Beispiel: bx-layout

colorstring

Hex color

Beispiel: #3B82F6

categorystring

Category label

configobject

Template config (JSONB snapshot)

is_activeboolean

Whether this template is active

Antworten

  • 201Created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/space-templates" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Risk Workspace"}'

Get a space template by id#

GET/space-templates/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
organizationIdQuerystring–

Antworten

  • 200Space template detail
  • 404Not found
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/space-templates/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a space template#

PUT/space-templates/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
organizationIdQuerystring–

Request-Bodyapplication/jsonUpdateSpaceTemplateDto

NameTypBeschreibung
namestring

Template display name

descriptionstring

Short description

iconstring

Icon identifier

colorstring

Hex color

categorystring

Category label

configobject

Template config (JSONB snapshot)

is_activeboolean

Whether this template is active

Antworten

  • 200Updated
  • 403Cannot modify system template
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/space-templates/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","description":"…","icon":"…"}'

Delete a space template#

DELETE/space-templates/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
organizationIdQuerystring–

Antworten

  • 204Deleted
  • 403Cannot delete system template
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/space-templates/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Apply a template to an existing space#

POST/space-templates/{id}/apply/{spaceId}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring

Template id

spaceIdPflichtPfadstring

Target space id

organizationIdQuerystring–

Antworten

  • 200Template applied
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/space-templates/{id}/apply/{spaceId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Save a space config as a template#

POST/space-templates/from-space/{spaceId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
organizationIdQuerystring–

Request-Bodyapplication/jsonSaveSpaceAsTemplateDto

NameTypBeschreibung
namePflichtstring

Template name

Beispiel: My Space Template

descriptionstring

Short description

iconstring

Icon identifier

colorstring

Hex color

Beispiel: #3B82F6

Antworten

  • 201Template created from space
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/space-templates/from-space/{spaceId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"My Space Template"}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions